Index: /bootstrapper/bootstrap.sh
===================================================================
--- /bootstrapper/bootstrap.sh	(revision 34)
+++ /bootstrapper/bootstrap.sh	(revision 35)
@@ -12,5 +12,5 @@
 INSTALLOPTIONALDEPS=0
 
-DEPENDENCIES="gcc wget tr xvfb mono-runtime rsync xmlstarlet gcc"
+DEPENDENCIES="gcc wget tr rsync xmlstarlet"
 
 if [ -n "$(command -v apt-get)" ]; then
@@ -27,7 +27,5 @@
 
 if [ $IS64BIT -eq 1 ]; then
-	DEPENDENCIES="$DEPENDENCIES lib32gcc1 wine:i386"
-else
-	DEPENDENCIES="$DEPENDENCIES wine"
+	DEPENDENCIES="$DEPENDENCIES lib32gcc1"
 fi
 
@@ -61,4 +59,7 @@
 		echo "the website regarding the prerequisites"
 		echo "(https://7dtd.illy.bz)."
+		echo
+		echo "Also make sure you have the 32 Bit version of libgcc installed!"
+		echo
 		echo "Do you want to continue anyway?"
 		select yn in "Yes" "No"; do
@@ -114,4 +115,20 @@
 		return
 	fi
+	
+	ldconfig -p | grep gcc | grep -v 64 > /dev/null
+	if [ $? -ne 0 ]; then
+		echo "There probably is no 32 Bit version of libgcc installed."
+		echo "Do you want to continue?"
+		select yn in "Yes" "No"; do
+			case $yn in
+				Yes)
+					break;;
+				No)
+					echo "Aborting."
+					exit 0
+					;;
+			esac
+		done
+	fi
 
 	echo 1
@@ -154,4 +171,16 @@
 	chown root.root start-stop-daemon
 	chmod 0755 start-stop-daemon
+
+	echo -e "\n=============================================================\n\n"
+}
+
+installLinuxEngine() {
+	echo -e "Downloading and installing Linux engine\n"
+	wget -nv http://illy.bz/fi/7dtd/linux_files.tar.gz -O /tmp/linux_files.tar.gz
+	tar --touch -xzf /tmp/linux_files.gz -C /home/sdtd/
+
+	chown sdtd.sdtd /home/sdtd/linux_files
+	chmod 0644 /home/sdtd/linux_files
+	chmod 0755 /home/sdtd/linux_files/engine/7DaysToDie.x86
 
 	echo -e "\n=============================================================\n\n"
@@ -229,4 +258,5 @@
 	setupUser
 	installManagementScripts
+	installLinuxEngine
 	setSteamLoginData
 	installSteamCmdAndSDTD
Index: /scripts/etc/7dtd.conf
===================================================================
--- /scripts/etc/7dtd.conf	(revision 34)
+++ /scripts/etc/7dtd.conf	(revision 35)
@@ -17,5 +17,4 @@
 # Paths to binaries. Use "which BINARYNAME" to find the path of a single binary
 export RSYNC=/usr/bin/rsync
-export WINE=/usr/bin/wine
 export XMLSTARLET=/usr/bin/xmlstarlet
 export PKILL=/usr/bin/pkill
Index: /scripts/usr/local/lib/7dtd/VERSION
===================================================================
--- /scripts/usr/local/lib/7dtd/VERSION	(revision 34)
+++ /scripts/usr/local/lib/7dtd/VERSION	(revision 35)
@@ -1,2 +1,2 @@
-Current version: 9
-Last edit: 2014-06-01
+Current version: 10
+Last edit: 2014-06-02
Index: /scripts/usr/local/lib/7dtd/commands/start.sh
===================================================================
--- /scripts/usr/local/lib/7dtd/commands/start.sh	(revision 34)
+++ /scripts/usr/local/lib/7dtd/commands/start.sh	(revision 35)
@@ -20,13 +20,6 @@
 
 	if [ $(isRunning $1) -eq 0 ]; then
-		if [ ! `pgrep Xvfb` ]; then
-			echo "Xvfb not yet running. Starting..."
-			su -c "/usr/bin/Xvfb :1 -screen 0 640x480x16" $SDTD_USER 2>&1 | grep -v "Could not init font path element" &
-			sleep 3
-		fi
-		export DISPLAY=localhost:1.0
-		
 		setAllPlayersOffline $1
-		rm $SDTD_BASE/engine/7DaysToDie_Data/output_log.txt
+		rm $(getInstancePath $1)/output_log.txt
 		
 		for H in $(getHooksFor serverPreStart); do
@@ -37,7 +30,7 @@
 		SSD_DAEMON="--background --no-close"
 		SSD_USER="--chuid $SDTD_USER:$SDTD_GROUP --user $SDTD_USER"
-		OPTS="-quit -batchmode -nographics -configfile=$(getInstancePath $1)/config.xml -dedicated"
+		OPTS="-logfile $(getInstancePath $1)/output_log.txt -configfile=$(getInstancePath $1)/config.xml -dedicated"
 		
-		$SSD --start $SSD_PID $SSD_DAEMON $SSD_USER --chdir $SDTD_BASE/engine --exec $WINE -- $SDTD_BASE/engine/7DaysToDie.exe $OPTS > $(getInstancePath $1)/stdout.log 2>&1
+		$SSD --start $SSD_PID $SSD_DAEMON $SSD_USER --chdir $SDTD_BASE/engine --exec $SDTD_BASE/engine/7DaysToDie.x86 -- $OPTS > $(getInstancePath $1)/stdout.log 2>&1
 		sleep 1
 
Index: /scripts/usr/local/lib/7dtd/commands/updateengine.sh
===================================================================
--- /scripts/usr/local/lib/7dtd/commands/updateengine.sh	(revision 34)
+++ /scripts/usr/local/lib/7dtd/commands/updateengine.sh	(revision 35)
@@ -24,9 +24,9 @@
 
 	./steamcmd.sh +@sSteamCmdForcePlatformType windows +login $STEAM_USER $STEAM_PASS +force_install_dir $SDTD_BASE/engine "+app_update 251570" validate +quit
+
+	cp $SDTD_BASE/linux_files/engine/* $SDTD_BASE/engine/ -R
+	cp $SDTD_BASE/engine/Install/32bit/SteamworksManaged.dll $SDTD_BASE/engine/7DaysToDie_Data/Managed/
+
 	chown $SDTD_USER.$SDTD_GROUP -R $SDTD_BASE/engine
-
-	cp $SDTD_BASE/engine/Install/32bit/7DaysToDie.exe $SDTD_BASE/engine/
-	cp $SDTD_BASE/engine/Install/32bit/mono.dll $SDTD_BASE/engine/7DaysToDie_Data/Mono/
-	cp $SDTD_BASE/engine/Install/32bit/SteamworksManaged.dll $SDTD_BASE/engine/7DaysToDie_Data/Managed/
 }
 
Index: /scripts/usr/local/lib/7dtd/monitor-log.sh
===================================================================
--- /scripts/usr/local/lib/7dtd/monitor-log.sh	(revision 34)
+++ /scripts/usr/local/lib/7dtd/monitor-log.sh	(revision 35)
@@ -50,5 +50,5 @@
 NOBUF="stdbuf -e0 -o0"
 
-$NOBUF tail -n 5000 -F $SDTD_BASE/engine/7DaysToDie_Data/output_log.txt |
+$NOBUF tail -n 5000 -F $(getInstancePath $INSTANCE)/output_log.txt |
 $NOBUF tr '\\' '/' |
 $NOBUF tr -d '\r' |
Index: /scripts/usr/local/lib/7dtd/serverconfig.sh
===================================================================
--- /scripts/usr/local/lib/7dtd/serverconfig.sh	(revision 34)
+++ /scripts/usr/local/lib/7dtd/serverconfig.sh	(revision 35)
@@ -1009,5 +1009,5 @@
 	configCurrent_TelnetEnabled=true
 	configCurrent_AdminFileName=admins.xml
-	configCurrent_SaveGameFolder="$(winepath -w $(getInstancePath "$1") 2>/dev/null | grep instances)"
+	configCurrent_SaveGameFolder="$(getInstancePath "$1")"
 }
 
